POST Verify employee.
POST /merchant/spi/sample/endpoint/sa/employee/verification/to/verify/employee/from/external/system
Operation ID: verifyEmployee. Tags: Employee Verification SPI.
Verify employee details from merchant's system based on provided input. Merchants must implement this endpoint per this specification and then configure it in CMS under CMS > Store Management > Integration > Custom API Connectors > Create. Make sure to create the endpoint in CMS with the following details:
- Under API Config:
- API Key:
VERIFY_EMPLOYEE - API Endpoint: Provide the external endpoint to verify employee, for example: https://sample.com/external/endpoint/to/verify/employee/from/external/system
- API Key:
- Under JSON Config:
- Integration Type:
HTTP_POST - JSON Headers: Provide the header for the API. Headers can be Content-Type, for example: {"contentType": "application/json"} Response: If response is NULL or empty, or has ErrorCode or ErrorMessage, employee verification fails. Use Case: If an employee makes the purchase, authenticate their details when they are added to the cart.
- Integration Type:
Request body
Media type: application/json. Schema: EmployeeVerificationRequest.
Responses
- default
Default response.
Media type:
application/json. Schema:EmployeeVerificationResponse.